=== debian/control ===
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

Source: hbase-solr
Section: misc
Priority: extra
Maintainer: Cloudera Inc. <https://issues.cloudera.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.0
Homepage: http://www.ngdata.com/

Package: hbase-solr
Architecture: all
Depends: bigtop-utils (>= 0.7), hbase, solr (>= 4.4.0+cdh5.1.0), avro-libs, sentry (>= 1.3.0+cdh5.1.0), parquet, kite (>= 0.10.0+cdh5.1.0), hadoop-hdfs, hadoop, kite, parquet, zookeeper, solr-mapreduce (>= 1.0.0+cdh5.4.0)
Description: NGData HBase Solr indexer
 NGData HBase Solr indexer 

Package: hbase-solr-indexer
Architecture: all
Depends: hbase-solr (= ${source:Version})
Description: NGData HBase Solr indexer server
 This package starts the HBase Solr indexer server on startup

Package: hbase-solr-doc
Architecture: all
Section: doc
Description: Documentation for NGData HBase Solr indexer
 Documentation for NGData HBase Solr indexer
