=== debian/rules ===
#!/usr/bin/make -f
export COMPONENT_HASH=5348289359baa899a348203dda65370715996cd3
 HBASE_INDEXER_VERSION=1.5+cdh6.3.2
 HBASE_INDEXER_PATCHED_VERSION=1.5-cdh6.3.2
 HBASE_INDEXER_BASE_VERSION=1.5
 HBASE_INDEXER_RELEASE=1605554
 CDH_CUSTOMER_PATCH=p0
 CDH_PARCEL_CUSTOM_VERSION=1.5+cdh6.3.2-1605554.bionic
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@

override_dh_auto_build:
	rm -rf bigtop-empty
	mkdir bigtop-empty
	env FULL_VERSION=${HBASE_SOLR_PATCHED_VERSION} bash -x debian/do-component-build -Drat.basedir=$${PWD}/bigtop-empty

override_dh_auto_install:
	bash -x debian/install_hbase_solr.sh \
	  --build-dir=$${PWD} \
	  --doc-dir=/usr/share/doc/hbase-solr-doc \
	  --prefix=debian/tmp \
	  --extra-dir=debian/
	install -d -m 0755 debian/tmp/etc/init.d
	bash debian/init.d.tmpl debian/hbase-solr-indexer.svc deb debian/tmp/etc/init.d/hbase-solr-indexer
	chmod 755 debian/tmp/etc/init.d/hbase-solr-indexer

override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_strip_nondeterminism:
	# Disable dh_strip_nondeterminism to speed up the build

override_dh_strip:
	dh_strip --no-automatic-dbgsym
